package ab.issue.db.model;

import android.arch.persistence.room.Embedded;

import ab.issue.model.Barcode;
import ab.issue.model.values.WifiBarcodeFormat;

public class WifiBarcode extends BarcodeFormatValueWrapper {

    @Embedded
    public Barcode barcode;

    @Embedded
    public WifiBarcodeFormat wifiBarcodeFormat;

    @Override
    protected Barcode getBarcode() {
        return barcode;
    }

    @Override
    protected WifiBarcodeFormat getFormatValue() {
        return wifiBarcodeFormat;
    }

}
